import request from '@/utils/request'

// 查询答题记录列表
export function listTestPaperRecord(query) {
  return request({
    url: '/school-paper/testPaperRecord/list',
    method: 'get',
    params: query
  })
}

// 查询答题记录详细
export function getTestPaperRecord(id) {
  return request({
    url: '/school-paper/testPaperRecord/' + id,
    method: 'get'
  })
}

// 新增答题记录
export function addTestPaperRecord(data) {
  return request({
    url: '/school-paper/testPaperRecord',
    method: 'post',
    data: data
  })
}

// 修改答题记录
export function updateTestPaperRecord(data) {
  return request({
    url: '/school-paper/testPaperRecord',
    method: 'put',
    data: data
  })
}

// 删除答题记录
export function delTestPaperRecord(id) {
  return request({
    url: '/school-paper/testPaperRecord/' + id,
    method: 'delete'
  })
}
